#!/usr/bin/env python
"""

This module provides a specific CDBSError exception for
identifying problems with CDBS delivery functions.

:Author: Christopher Hanley
:Reference: TIR-CDBS-2008-02

"""
from __future__ import division


class CDBSError(Exception):
    """
    
    CDBSError: Exception sub-class used to define 
    problems during CDBS file dilivery.
    
    """
    def __init__(self, out=None, err=None, code=None):
        Exception.__init__(self)
        self.out = out
        self.err = err
        self.code = code
        
    def __str__(self):
        output =  "\nout  : " + repr(self.out) + "\n"
        output += "err  : " + repr(self.err) + "\n"
        output += "code : " + repr(self.code)
        return output
    
# Error code for pure Python functions
PYERRORCODE = -999